function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Water1.ogg",-1)
	SetMarker("Isis\\Warp_0008.wp",0,0)
	SetMarker("Isis\\Warp_0010.wp",0,0)
	StartAnimationPart("I3I1",60,90,-1,true)
	SetMarker("I3I1",4,0)

	if not O_nut_is_008 then
		
		PutObject("n1I1")
	end
	
	if not O_shu_is_008 then
		
		PutObject("s1I1")
	end
	
	if not O_geb_is_008 then
		
		PutObject("g1I1")
	end
	
	if not BeenIn_is_009 then
--		LookAt(018,004)
--		DrawText("1125","1125.ogg")
		BeenIn_is_009=true
	end

	if not O_nut_is_008 and not O_geb_is_008 and O_shu_is_008 then
		LookAt(018,004)
		DrawText("ISIS0743","ISIS0743.ogg")
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
		GodTaken_is_008=false

		O_nut_is_008=false
		O_geb_is_008=false
		O_shu_is_008=false
		
		O_nut_is_015=true
		O_geb_is_015=true
		O_shu_is_015=true
		RemoveFromInventary("Nout")
		RemoveFromInventary("Geb")
		RemoveFromInventary("Shou")
	end
	
	if not O_nut_is_008 and not O_shu_is_008 and O_geb_is_008 then
		LookAt(018,004)
		DrawText("ISIS0743","ISIS0743.ogg")
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
		GodTaken_is_008=false


		O_nut_is_008=false
		O_geb_is_008=false
		O_shu_is_008=false
		
		O_nut_is_015=true
		O_geb_is_015=true
		O_shu_is_015=true

		if Selected("Nout") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Nout")
		end
		if Selected("Geb") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Geb")
		end
		if Selected("Shou") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Shou")
		end
	end

	if not O_nut_is_015 and not O_geb_is_015 and O_shu_is_015 then
		LookAt(018,004)
		DrawText("ISIS0743","ISIS0743.ogg")
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
		GodTaken_is_008=false


		O_nut_is_008=false
		O_geb_is_008=false
		O_shu_is_008=false
		
		O_nut_is_015=true
		O_geb_is_015=true
		O_shu_is_015=true

		if Selected("Nout") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Nout")
		end
		if Selected("Geb") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Geb")
		end
		if Selected("Shou") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Shou")
		end
	end
	
	
	if not O_nut_is_015 and not O_shu_is_015 and O_geb_is_015 then
		LookAt(018,004)
		DrawText("ISIS0743","ISIS0743.ogg")
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
		GodTaken_is_008=false


		O_nut_is_008=false
		O_geb_is_008=false
		O_shu_is_008=false
		
		O_nut_is_015=true
		O_geb_is_015=true
		O_shu_is_015=true

		if Selected("Nout") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Nout")
		end
		if Selected("Geb") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Geb")
		end
		if Selected("Shou") then 
			RemoveFromBag()
		else
			RemoveFromInventary("Shou")
		end
	end
	if CanCross_is_016 then
		AnimationSetToEnd("POI1")
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "g1I1" then

------------------------------------------------------------
	elseif objectName == "g2I1" then

------------------------------------------------------------
	elseif objectName == "n1I1" then

------------------------------------------------------------
	elseif objectName == "n2I1" then

------------------------------------------------------------
	elseif objectName == "r1I1" then

------------------------------------------------------------
	elseif objectName == "s1I1" then

------------------------------------------------------------
	elseif objectName == "s2I1" then

------------------------------------------------------------
	elseif objectName == "I3I1" then
		LookAt(018,004)
		DrawText("ISIS0737","ISIS0737.ogg")
		DrawText("ISIS0738","ISIS0738.ogg")
------------------------------------------------------------
	elseif objectName == "POI1" then

------------------------------------------------------------
	elseif objectName == "WAi1" then

------------------------------------------------------------
	elseif objectName == "l1I1" then

------------------------------------------------------------
	elseif objectName == "l2I1" then

------------------------------------------------------------
	elseif objectName == "l3I1" then
	end
	if objectName=="3D\\Isis\\Warp_0008.wp" then
		ChangeWarp(objectName)
	end
	if objectName=="3D\\Isis\\Warp_0010.wp" then
		ChangeWarp(objectName)
	end
end
